#ifndef WIDGET_H
#define WIDGET_H

#include <QtWidgets>
#include <QFile>
#include <downloader.h>

namespace Ui
{
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:
    void readFile();

private:
    QPushButton *loadButton;
    QTextEdit   *textEdit;
    QVBoxLayout *vertialLayout;
    // Объявляем объект класса для скачивания данных по http
    Downloader  *downloader;
};

#endif // WIDGET_H
